Activity log for bug #855199

Date Who What changed Old value New value Message
2011-09-21 02:02:37 Edward Donovan bug added bug
2011-09-21 02:05:32 Brad Figg linux (Ubuntu): status New Confirmed
2011-09-24 08:04:05 Brad Figg linux (Ubuntu): status Confirmed Incomplete
2011-09-24 08:04:07 Brad Figg tags amd64 apport-bug oneiric running-unity amd64 apport-bug kernel-request-3.0.0-12.19 oneiric running-unity
2011-09-25 02:01:38 Edward Donovan linux (Ubuntu): status Incomplete Confirmed
2011-10-08 07:36:15 Brad Figg linux (Ubuntu): status Confirmed Incomplete
2011-10-08 07:36:17 Brad Figg tags amd64 apport-bug kernel-request-3.0.0-12.19 oneiric running-unity amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric running-unity
2011-10-08 17:22:02 Edward Donovan linux (Ubuntu): status Incomplete Confirmed
2011-10-10 19:14:00 Edward Donovan description I have several similar HP boxes that boot with IRQ errors, for the USB subsystem, like this: irq 19: nobody cared (try booting with the "irqpoll" option) ... So I have indeed always used the "irqpoll" kernel argument, and that has fixed the USB performance problems. Under 2.6.39 and 3.0, the kernel option has stopped working. The logs say "try booting with the 'irqpoll' option", though they also show that argument was present. I don't yet have any idea why it's no longer taking effect (and I have not yet tried other kernels than Ubuntu images). Here is some context on the IRQ errors, in case it is relevant, though this may be just a boot-argument problem: These machines all have one PCI-E slot. They only have the IRQ problems when that slot is used; if I revert to onboard video, they go away. When I do use a video card, as I'd prefer to do, the errors come regardless of which card, whether it is ATI or Nvidia, with open or proprietary drivers. "Irqpoll" has always taken care of them, until 2.6.39 arrived. I'll be happy to provide more information, if possible. Thank you. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices: **** List of CAPTURE Hardware Devices **** card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97] Subdevices: 1/1 Subdevice #0: subdevice #0 AudioDevicesInUse: USER PID ACCESS COMMAND /dev/snd/controlC1: ed 1696 F.... pulseaudio /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info: Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17' Mixer name : 'Realtek ALC655 rev 0' Components : 'AC97a:414c4760' Controls : 41 Simple ctrls : 26 Card1.Amixer.info: Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18' Mixer name : 'Nvidia GPU 0d HDMI/DP' Components : 'HDA:10de000d,10de0101,00100100' Controls : 17 Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig: lo no wireless extensions. eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron: PATH=(custom, no user) LANG=en_US.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions: linux-restricted-modules-3.0.0-11-generic N/A linux-backports-modules-3.0.0-11-generic N/A linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard I have several similar HP boxes that boot with IRQ errors, for the USB subsystem, like this:   irq 19: nobody cared (try booting with the "irqpoll" option)   ... So I have indeed always used the "irqpoll" kernel argument, and that has fixed the USB performance problems. Under 2.6.39 and 3.0, the kernel option has stopped working. The logs say "try booting with the 'irqpoll' option", though they also show that argument was present. I don't yet have any idea why it's no longer taking effect (and I have not yet tried other kernels than Ubuntu images). Here is some context on the IRQ errors, in case it is relevant, though this may be just a boot-argument problem: These machines all have a PCI-E x16 slot, for video cards. They only have the IRQ problems when that slot is used; if I revert to onboard video, they go away. When I do use a video card, as I'd prefer to do, the errors come regardless of which card, whether it is ATI or Nvidia, with open or proprietary drivers. "Irqpoll" has always taken care of them, until 2.6.39 arrived. I'll be happy to provide more information, if possible. Thank you. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-10-11 07:03:23 Edward Donovan tags amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric running-unity amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity
2011-10-12 00:03:39 mfg bug added subscriber mfg
2011-10-12 15:53:00 Joseph Salisbury tags amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 needs-upstream-testing oneiric regression-release running-unity
2011-10-13 00:23:32 Edward Donovan tags amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 needs-upstream-testing oneiric regression-release running-unity amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity
2011-10-13 00:29:16 Edward Donovan description I have several similar HP boxes that boot with IRQ errors, for the USB subsystem, like this:   irq 19: nobody cared (try booting with the "irqpoll" option)   ... So I have indeed always used the "irqpoll" kernel argument, and that has fixed the USB performance problems. Under 2.6.39 and 3.0, the kernel option has stopped working. The logs say "try booting with the 'irqpoll' option", though they also show that argument was present. I don't yet have any idea why it's no longer taking effect (and I have not yet tried other kernels than Ubuntu images). Here is some context on the IRQ errors, in case it is relevant, though this may be just a boot-argument problem: These machines all have a PCI-E x16 slot, for video cards. They only have the IRQ problems when that slot is used; if I revert to onboard video, they go away. When I do use a video card, as I'd prefer to do, the errors come regardless of which card, whether it is ATI or Nvidia, with open or proprietary drivers. "Irqpoll" has always taken care of them, until 2.6.39 arrived. I'll be happy to provide more information, if possible. Thank you. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard I have several similar HP boxes that boot with IRQ errors, for the USB subsystem, like this:   irq 19: nobody cared (try booting with the "irqpoll" option)   ... So I have indeed always used the "irqpoll" kernel argument, and that has fixed the USB performance problems. Under 2.6.39 and 3.0, the irqpoll fix has stopped working. The logs say "try booting with the 'irqpoll' option", though they also show that argument was present. Here is some context on the IRQ errors: These machines all have a PCI-E x16 slot, for video cards. They only have the IRQ problems when that slot is used; if I revert to onboard video, they go away. When I do use a video card, as I'd prefer to do, the errors come regardless of which card, whether it is ATI or Nvidia, with open or proprietary drivers. "Irqpoll" has always taken care of them, until 2.6.39 arrived. At first I was uncertain whether it was just a problem with the boot argument taking effect, but now I have seen the logs do say "Misrouted IRQ fixup and polling support enabled". I'll be happy to provide more information, if possible. Thank you. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-10-14 15:13:52 Joseph Salisbury linux (Ubuntu): status Confirmed Triaged
2011-10-20 00:51:37 Edward Donovan bug watch added mailto:tglx@linutronix.de
2011-10-20 00:51:37 Edward Donovan bug task added linux
2011-10-21 01:39:50 Mando bug added subscriber Mando
2011-10-29 02:51:29 Edward Donovan summary 2.6.39 and later have lost "irqpoll" functionality 2.6.39 and later have lost "irqfixup" and "irqpoll" functionality
2011-10-31 03:00:02 Edward Donovan tags amd64 apport-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity amd64 apport-bug irqfixup irqpoll kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity
2011-10-31 07:06:02 Edward Donovan bug task added mythbuntu
2011-10-31 15:42:07 Edward Donovan linux: status New Confirmed
2011-10-31 15:42:32 Edward Donovan mythbuntu: status New Confirmed
2011-10-31 16:11:45 Edward Donovan description I have several similar HP boxes that boot with IRQ errors, for the USB subsystem, like this:   irq 19: nobody cared (try booting with the "irqpoll" option)   ... So I have indeed always used the "irqpoll" kernel argument, and that has fixed the USB performance problems. Under 2.6.39 and 3.0, the irqpoll fix has stopped working. The logs say "try booting with the 'irqpoll' option", though they also show that argument was present. Here is some context on the IRQ errors: These machines all have a PCI-E x16 slot, for video cards. They only have the IRQ problems when that slot is used; if I revert to onboard video, they go away. When I do use a video card, as I'd prefer to do, the errors come regardless of which card, whether it is ATI or Nvidia, with open or proprietary drivers. "Irqpoll" has always taken care of them, until 2.6.39 arrived. At first I was uncertain whether it was just a problem with the boot argument taking effect, but now I have seen the logs do say "Misrouted IRQ fixup and polling support enabled". I'll be happy to provide more information, if possible. Thank you. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. I do not know whether these options will fail for all cases, or if some unknown hardware configurations are out there continuing to work. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives: genirq: spurious: Run only one poller at a time author Thomas Gleixner <tglx@linutronix.de> Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100) committer Thomas Gleixner <tglx@linutronix.de> Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100) commit d05c65fff0ef672be75429266751f0e015b54d94 No point in running concurrent pollers which confuse each other by setting PENDING." http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response, as yet. I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over (though I'm no kernel programmer :-/ ), to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-10-31 16:12:29 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. I do not know whether these options will fail for all cases, or if some unknown hardware configurations are out there continuing to work. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives: genirq: spurious: Run only one poller at a time author Thomas Gleixner <tglx@linutronix.de> Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100) committer Thomas Gleixner <tglx@linutronix.de> Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100) commit d05c65fff0ef672be75429266751f0e015b54d94 No point in running concurrent pollers which confuse each other by setting PENDING." http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response, as yet. I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over (though I'm no kernel programmer :-/ ), to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. I do not know whether these options will fail for all cases, or if some unknown hardware configurations are out there continuing to work. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   genirq: spurious: Run only one poller at a time   author Thomas Gleixner <tglx@linutronix.de>    Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100)   committer Thomas Gleixner <tglx@linutronix.de>    Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100)   commit d05c65fff0ef672be75429266751f0e015b54d94   No point in running concurrent pollers which confuse each other by   setting PENDING."   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response, as yet. I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-10-31 16:13:58 Edward Donovan summary 2.6.39 and later have lost "irqfixup" and "irqpoll" functionality "irqfixup" and "irqpoll" broken since 2.6.39
2011-10-31 16:19:05 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. I do not know whether these options will fail for all cases, or if some unknown hardware configurations are out there continuing to work. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   genirq: spurious: Run only one poller at a time   author Thomas Gleixner <tglx@linutronix.de>    Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100)   committer Thomas Gleixner <tglx@linutronix.de>    Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100)   commit d05c65fff0ef672be75429266751f0e015b54d94   No point in running concurrent pollers which confuse each other by   setting PENDING."   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response, as yet. I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. I don't know whether these options fail in all cases, or if some unknown hardware configurations are out there continuing to work. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   genirq: spurious: Run only one poller at a time   author Thomas Gleixner <tglx@linutronix.de>    Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100)   committer Thomas Gleixner <tglx@linutronix.de>    Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100)   commit d05c65fff0ef672be75429266751f0e015b54d94   No point in running concurrent pollers which confuse each other by   setting PENDING." http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response to date. (And the kernel bugzilla is still down.) I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-10-31 16:27:12 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. I don't know whether these options fail in all cases, or if some unknown hardware configurations are out there continuing to work. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   genirq: spurious: Run only one poller at a time   author Thomas Gleixner <tglx@linutronix.de>    Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100)   committer Thomas Gleixner <tglx@linutronix.de>    Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100)   commit d05c65fff0ef672be75429266751f0e015b54d94   No point in running concurrent pollers which confuse each other by   setting PENDING." http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed Mr. Gleixner (who is the subsystem maintainer) and LKML, but got no response to date. (And the kernel bugzilla is still down.) I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. I don't know whether these options fail in all cases, or if some unknown hardware configurations are out there continuing to work. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives: commit d05c65fff0ef672be75429266751f0e015b54d94   genirq: spurious: Run only one poller at a time   No point in running concurrent pollers which confuse each other by   setting PENDING. author Thomas Gleixner <tglx@linutronix.de> Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100) committer Thomas Gleixner <tglx@linutronix.de> Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100) http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed LKML and Mr. Gleixner, who is the subsystem maintainer, but got no response to date. (And the kernel bugzilla is still down.) I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard
2011-11-01 20:40:19 Edward Donovan attachment added Patch I submitted to LKML https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2582068/+files/0001-genirq-spurious.c-fix-regression-that-broke-irqfixup.patch
2011-11-01 20:49:42 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. I don't know whether these options fail in all cases, or if some unknown hardware configurations are out there continuing to work. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives: commit d05c65fff0ef672be75429266751f0e015b54d94   genirq: spurious: Run only one poller at a time   No point in running concurrent pollers which confuse each other by   setting PENDING. author Thomas Gleixner <tglx@linutronix.de> Mon, 7 Feb 2011 13:31:37 +0000 (14:31 +0100) committer Thomas Gleixner <tglx@linutronix.de> Sat, 19 Feb 2011 11:58:09 +0000 (12:58 +0100) http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=d05c65fff0ef672be75429266751f0e015b54d94 I emailed LKML and Mr. Gleixner, who is the subsystem maintainer, but got no response to date. (And the kernel bugzilla is still down.) I had not isolated this single patch, out of the pile, then. I'm trying to look the patch over, to improve my case, before my next try at getting maintainer attention. ProblemType: Bug DistroRelease: Ubuntu 11.10 Package: linux-image-3.0.0-11-generic 3.0.0-11.18 ProcVersionSignature: Ubuntu 3.0.0-11.18-generic 3.0.4 Uname: Linux 3.0.0-11-generic x86_64 AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24. ApportVersion: 1.23-0ubuntu1 Architecture: amd64 ArecordDevices:  **** List of CAPTURE Hardware Devices ****  card 0: IXP [ATI IXP], device 0: ATI IXP AC97 [ATI IXP AC97]    Subdevices: 1/1    Subdevice #0: subdevice #0 AudioDevicesInUse:  USER PID ACCESS COMMAND  /dev/snd/controlC1: ed 1696 F.... pulseaudio  /dev/snd/controlC0: ed 1696 F.... pulseaudio CRDA: Error: [Errno 2] No such file or directory Card0.Amixer.info:  Card hw:0 'IXP'/'ATI IXP rev 2 with ALC655 at 0xfe02a000, irq 17'    Mixer name : 'Realtek ALC655 rev 0'    Components : 'AC97a:414c4760'    Controls : 41    Simple ctrls : 26 Card1.Amixer.info:  Card hw:1 'NVidia'/'HDA NVidia at 0xfcffc000 irq 18'    Mixer name : 'Nvidia GPU 0d HDMI/DP'    Components : 'HDA:10de000d,10de0101,00100100'    Controls : 17    Simple ctrls : 5 Date: Tue Sep 20 21:19:35 2011 HibernationDevice: RESUME=UUID=821c96d0-f0af-4f34-a8c6-2713248cacc1 InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007) IwConfig:  lo no wireless extensions.  eth0 no wireless extensions. MachineType: Hewlett-Packard HP dx5150 MT ProcEnviron:  PATH=(custom, no user)  LANG=en_US.UTF-8  SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-11-generic root=UUID=7649d274-b118-4ac7-b7c8-2fb7e42094bf ro quiet splash irqpoll vt.handoff=7 RelatedPackageVersions:  linux-restricted-modules-3.0.0-11-generic N/A  linux-backports-modules-3.0.0-11-generic N/A  linux-firmware 1.60 RfKill: SourcePackage: linux UpgradeStatus: Upgraded to oneiric on 2011-09-20 (0 days ago) dmi.bios.date: 08/01/2006 dmi.bios.vendor: Phoenix Technologies, LTD dmi.bios.version: 1.18 dmi.board.name: 09AC dmi.board.vendor: MSI dmi.chassis.asset.tag: 2UA63214R9 dmi.chassis.type: 3 dmi.chassis.vendor: Hewlett-Packard dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr1.18:bd08/01/2006:svnHewlett-Packard:pnHPdx5150MT:pvr:rvnMSI:rn09AC:rvr:cvnHewlett-Packard:ct3:cvr: dmi.product.name: HP dx5150 MT dmi.sys.vendor: Hewlett-Packard In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0ef672be75429266751f0e015b54d94 http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a fix that works as far as i can test it, and I've now submitted a patch. The problem commit added a test to the bad-irq routines, checking whether they were already running. One of these tests had an "==" operator, where it seems to need "!=", not equal. Making that one change in kernel/irq/spurious.c fixes the regression for me. I've tested it successfully it on various kernels, including the current Oneiric source. The submitted patch is attached. And here it is on LKML: https://lkml.org/lkml/2011/11/1/267 Any testing is very welcome.
2011-11-01 20:52:31 Edward Donovan tags amd64 apport-bug irqfixup irqpoll kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric regression-release running-unity amd64 apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-forwarded-upstream regression-release running-unity
2011-11-03 20:43:42 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0ef672be75429266751f0e015b54d94 http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a fix that works as far as i can test it, and I've now submitted a patch. The problem commit added a test to the bad-irq routines, checking whether they were already running. One of these tests had an "==" operator, where it seems to need "!=", not equal. Making that one change in kernel/irq/spurious.c fixes the regression for me. I've tested it successfully it on various kernels, including the current Oneiric source. The submitted patch is attached. And here it is on LKML: https://lkml.org/lkml/2011/11/1/267 Any testing is very welcome. In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0ef672be75429266751f0e015b54d94   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a patch that fixes most of my machones, and the maintainer has accepted it: https://lkml.org/lkml/2011/11/2/260 I wish I could say that's the end of it, but one of my machines still has a bad irq uncaught, even with my patch, in any kernel from .39 on. .38 handles it. So I may have to dig some more. Any testing of the current patch would be great.
2011-11-05 17:38:17 aslam karachiwala bug added subscriber aslam karachiwala
2011-11-10 18:32:05 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0ef672be75429266751f0e015b54d94   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a patch that fixes most of my machones, and the maintainer has accepted it: https://lkml.org/lkml/2011/11/2/260 I wish I could say that's the end of it, but one of my machines still has a bad irq uncaught, even with my patch, in any kernel from .39 on. .38 handles it. So I may have to dig some more. Any testing of the current patch would be great. In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a patch that fixes most of my machones, and the maintainer has accepted it:   https://lkml.org/lkml/2011/11/2/260 Any testing of the current patch would be great. I wish I could say that's the end of it, but I have found configurations on my machines where a bad irq still goes uncaught, even with my patch. Focusing on those cases, it comes down to this patch: commit fa27271bc , genirq: Fixup poll handling http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 This patch changes the approach in multiple ways, and I haven't figured out where it drops the ball. I've toyed around with the changes, but have not produced a clear fix. I'll keep trying, and will be in touch with the maintainer again.
2011-11-19 12:50:40 Obrouni bug added subscriber Obrouni
2011-11-20 05:10:53 Edward Donovan attachment added patch for second irqpoll regression, broken in kernel commit fa2727 https://bugs.launchpad.net/linux/+bug/855199/+attachment/2602449/+files/0001-genirq-fix-second-2.6.39-regression-in-irqfixup-irqp.patch
2011-11-20 05:23:21 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. I have several machines that need to boot with one of these options, and I see reports of this regression from multiple other users. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, and this is the commit where the regression arrives:   commit d05c65fff0   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 I have a patch that fixes most of my machones, and the maintainer has accepted it:   https://lkml.org/lkml/2011/11/2/260 Any testing of the current patch would be great. I wish I could say that's the end of it, but I have found configurations on my machines where a bad irq still goes uncaught, even with my patch. Focusing on those cases, it comes down to this patch: commit fa27271bc , genirq: Fixup poll handling http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 This patch changes the approach in multiple ways, and I haven't figured out where it drops the ball. I've toyed around with the changes, but have not produced a clear fix. I'll keep trying, and will be in touch with the maintainer again. In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, isolated two regressions, and submitted patches for each. The first bug effectively disabled the bad-irq handling routines, by a test condition be accidentally reversed. This is the commit where the regression arrives:   commit d05c65fff0 , genirq: spurious: Run only one poller at a time   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 The maintainer has accepted my patch for that, and it will be in Linux 3.2. I'm keeping an eye on the stable tree. At this point, I'd ask Ubuntu to apply it. It's attached here, and is in Linus' tree at: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=c75d720fca8a91ce99196d33adea383621027bf2 That bug disabled irqfixup & irqpoll for everybody. But with that fixed, I had some machines where those kernel options still failed. I bisected that problem to here:   commit fa27271bc , genirq: Fixup poll handling   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 I've just submitted another patch, for that regression. (So far, no one else seeing this bug report has hit that second regression, so there may be no one here in a position to test it. I have found a previous post to LKML, from a user who bisected his problem to the same commit, fa2727, so I may try to contact him: https://lkml.org/lkml/2011/7/24/54 .) At any rate, my second submission to Thomas can be watched here: https://lkml.org/lkml/2011/11/19/189 And I'll report back.
2011-11-20 23:11:58 Edward Donovan tags amd64 apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-forwarded-upstream regression-release running-unity apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-accepted-upstream patch-forwarded-upstream regression-release running-unity
2011-11-20 23:14:46 Edward Donovan attachment removed AlsaDevices.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434244/+files/AlsaDevices.txt
2011-11-20 23:15:22 Edward Donovan attachment removed Card0.Amixer.values.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434247/+files/Card0.Amixer.values.txt
2011-11-20 23:17:18 Edward Donovan attachment removed PciMultimedia.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434259/+files/PciMultimedia.txt
2011-11-21 00:42:48 Tim Gardner nominated for series Ubuntu Oneiric
2011-11-21 00:42:48 Tim Gardner bug task added linux (Ubuntu Oneiric)
2011-11-21 00:42:48 Tim Gardner nominated for series Ubuntu Precise
2011-11-21 00:42:48 Tim Gardner bug task added linux (Ubuntu Precise)
2011-11-21 00:43:00 Tim Gardner linux (Ubuntu Precise): status Triaged Fix Released
2011-11-21 00:43:05 Tim Gardner linux (Ubuntu Oneiric): status New In Progress
2011-11-21 00:43:10 Tim Gardner linux (Ubuntu Oneiric): assignee Tim Gardner (timg-tpi)
2011-11-21 01:17:47 Edward Donovan attachment removed AcpiTables.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434243/+files/AcpiTables.txt
2011-11-21 01:18:10 Edward Donovan attachment removed AplayDevices.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434245/+files/AplayDevices.txt
2011-11-21 01:18:25 Edward Donovan attachment removed Card0.Codecs.codec97.0.ac97.0.0.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434248/+files/Card0.Codecs.codec97.0.ac97.0.0.txt
2011-11-21 01:20:07 Edward Donovan attachment removed Card0.Codecs.codec97.0.ac97.0.0.regs.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434249/+files/Card0.Codecs.codec97.0.ac97.0.0.regs.txt
2011-11-21 01:20:38 Edward Donovan attachment removed Card1.Amixer.values.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434250/+files/Card1.Amixer.values.txt
2011-11-21 01:21:45 Edward Donovan attachment removed WifiSyslog.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434267/+files/WifiSyslog.txt
2011-11-21 01:22:17 Edward Donovan attachment removed UdevLog.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434266/+files/UdevLog.txt
2011-11-21 01:23:01 Edward Donovan attachment removed UdevDb.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434265/+files/UdevDb.txt
2011-11-21 01:23:28 Edward Donovan attachment removed PulseSources.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434264/+files/PulseSources.txt
2011-11-21 01:24:10 Edward Donovan attachment removed PulseSinks.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434263/+files/PulseSinks.txt
2011-11-21 01:24:42 Edward Donovan attachment removed ProcModules.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434262/+files/ProcModules.txt
2011-11-21 01:25:14 Edward Donovan attachment removed ProcCpuinfo.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434260/+files/ProcCpuinfo.txt
2011-11-21 01:26:00 Edward Donovan attachment removed Lsusb.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434258/+files/Lsusb.txt
2011-11-21 01:32:10 Edward Donovan attachment removed BootDmesg.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434246/+files/BootDmesg.txt
2011-11-21 01:32:51 Edward Donovan attachment removed Card1.Codecs.codec.0.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434251/+files/Card1.Codecs.codec.0.txt
2011-11-21 01:33:22 Edward Donovan attachment removed Card1.Codecs.codec.1.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434252/+files/Card1.Codecs.codec.1.txt
2011-11-21 01:33:47 Edward Donovan attachment removed Card1.Codecs.codec.2.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434253/+files/Card1.Codecs.codec.2.txt
2011-11-21 01:34:22 Edward Donovan attachment removed Card1.Codecs.codec.3.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434254/+files/Card1.Codecs.codec.3.txt
2011-11-21 01:34:52 Edward Donovan attachment removed CurrentDmesg.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434255/+files/CurrentDmesg.txt
2011-11-21 01:35:21 Edward Donovan attachment removed Dependencies.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434256/+files/Dependencies.txt
2011-11-21 01:35:49 Edward Donovan attachment removed Lspci.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434257/+files/Lspci.txt
2011-11-21 01:36:22 Edward Donovan attachment removed ProcInterrupts.txt https://bugs.launchpad.net/ubuntu/+source/linux/+bug/855199/+attachment/2434261/+files/ProcInterrupts.txt
2011-11-21 14:41:24 Tim Gardner linux (Ubuntu Oneiric): status In Progress Fix Committed
2011-11-22 03:39:07 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, isolated two regressions, and submitted patches for each. The first bug effectively disabled the bad-irq handling routines, by a test condition be accidentally reversed. This is the commit where the regression arrives:   commit d05c65fff0 , genirq: spurious: Run only one poller at a time   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 The maintainer has accepted my patch for that, and it will be in Linux 3.2. I'm keeping an eye on the stable tree. At this point, I'd ask Ubuntu to apply it. It's attached here, and is in Linus' tree at: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=c75d720fca8a91ce99196d33adea383621027bf2 That bug disabled irqfixup & irqpoll for everybody. But with that fixed, I had some machines where those kernel options still failed. I bisected that problem to here:   commit fa27271bc , genirq: Fixup poll handling   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 I've just submitted another patch, for that regression. (So far, no one else seeing this bug report has hit that second regression, so there may be no one here in a position to test it. I have found a previous post to LKML, from a user who bisected his problem to the same commit, fa2727, so I may try to contact him: https://lkml.org/lkml/2011/7/24/54 .) At any rate, my second submission to Thomas can be watched here: https://lkml.org/lkml/2011/11/19/189 And I'll report back. In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, isolated two regressions, and submitted patches for each. The first bug effectively disabled the bad-irq handling routines, by a test condition be accidentally reversed. This is the commit where the regression arrives:   commit d05c65fff0 , genirq: spurious: Run only one poller at a time   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 The maintainer has accepted my patch for that, and it's on its way into releases: it will be in Linux 3.2, and upcoming stable releases, likely 3.0.11 and 3.1.3. And it's marked as committed to Oneirc now. It's attached here, and is in Linus' tree at:   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=c75d720fca8a91ce99196d33adea383621027bf2 That bug disabled irqfixup & irqpoll for everybody. But with that fixed, I had some machines where those kernel options still failed. I bisected that problem to here:   commit fa27271bc , genirq: Fixup poll handling   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 I've just submitted another patch, for that regression. (So far, no one else seeing this bug report has hit that second regression, so there may be no one here in a position to test it. I have found a previous post to LKML, from a user who bisected his problem to the same commit, fa2727, so I may try to contact him: https://lkml.org/lkml/2011/7/24/54 .) At any rate, my second submission to Thomas can be watched here:   https://lkml.org/lkml/2011/11/19/189 And I'll report back.
2011-11-22 04:07:17 Aaron Peromsik bug added subscriber Aaron Peromsik
2011-11-24 16:10:20 Herton R. Krzesinski tags apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-accepted-upstream patch-forwarded-upstream regression-release running-unity apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-accepted-upstream patch-forwarded-upstream regression-release running-unity verification-done-oneiric
2011-11-26 17:31:13 jhoechtl bug added subscriber jhoechtl
2011-11-29 03:37:08 Edward Donovan linux: status Confirmed Fix Committed
2011-11-29 03:37:15 Edward Donovan mythbuntu: status Confirmed Fix Committed
2011-11-29 03:40:37 Edward Donovan description In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, isolated two regressions, and submitted patches for each. The first bug effectively disabled the bad-irq handling routines, by a test condition be accidentally reversed. This is the commit where the regression arrives:   commit d05c65fff0 , genirq: spurious: Run only one poller at a time   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 The maintainer has accepted my patch for that, and it's on its way into releases: it will be in Linux 3.2, and upcoming stable releases, likely 3.0.11 and 3.1.3. And it's marked as committed to Oneirc now. It's attached here, and is in Linus' tree at:   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=c75d720fca8a91ce99196d33adea383621027bf2 That bug disabled irqfixup & irqpoll for everybody. But with that fixed, I had some machines where those kernel options still failed. I bisected that problem to here:   commit fa27271bc , genirq: Fixup poll handling   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 I've just submitted another patch, for that regression. (So far, no one else seeing this bug report has hit that second regression, so there may be no one here in a position to test it. I have found a previous post to LKML, from a user who bisected his problem to the same commit, fa2727, so I may try to contact him: https://lkml.org/lkml/2011/7/24/54 .) At any rate, my second submission to Thomas can be watched here:   https://lkml.org/lkml/2011/11/19/189 And I'll report back. In all kernels since 2.6.39, the "irqfixup" and "irqpoll" options are no longer taking effect. The interrupts now generate the same errors seen without these kernel options, e.g.:   irq 19: nobody cared (try booting with the "irqpoll" option) even though irqpoll, or irqfixup, is used. The Linux irq code was reworked during the 2.6.39 cycle. I have gone through the patches, isolated two regressions, and submitted patches for each. The first bug effectively disabled the bad-irq handling routines, by a test condition be accidentally reversed. This is the commit where the regression arrives:   commit d05c65fff0 , genirq: spurious: Run only one poller at a time   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=d05c65fff0ef672be75429266751f0e015b54d94 The maintainer has accepted my patch for that, and it's on its way into releases: it will be in Linux 3.2, and upcoming stable releases, likely 3.0.11 and 3.1.3. And it's marked as committed to Oneirc now. It's attached here, and is in Linus' tree at:   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=c75d720fca8a91ce99196d33adea383621027bf2 That bug disabled irqfixup & irqpoll for everybody. But with that fixed, I had some machines where those kernel options still failed. I bisected that problem to here:   commit fa27271bc , genirq: Fixup poll handling   http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commitdiff;h=fa27271bc8d230355c1f24ddea103824fdc12de6 I've submitted another patch, for that regression, and Linus merged it. Yay. So 3.2 should be good, and 3.0/3.1 updates in a bit -- it took a month, last time.
2011-11-29 03:48:48 Edward Donovan tags apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-accepted-upstream patch-forwarded-upstream regression-release running-unity verification-done-oneiric apport-bug irqfixup irqpoll kernel-bug kernel-request-3.0.0-12.19 kernel-request-3.0.0-12.20 oneiric patch-accepted-upstream regression-release running-unity verification-done-oneiric
2011-12-09 23:46:10 Launchpad Janitor linux (Ubuntu Oneiric): status Fix Committed Fix Released
2011-12-12 20:53:59 Edward Donovan linux (Ubuntu Oneiric): status Fix Released Fix Committed
2011-12-12 21:11:07 Edward Donovan linux: status Fix Committed Fix Released
2011-12-14 13:36:28 Launchpad Janitor branch linked lp:ubuntu/lucid-proposed/linux-lts-backport-oneiric
2011-12-18 03:47:09 Edward Donovan linux (Ubuntu Oneiric): status Fix Committed Fix Released
2011-12-18 03:47:13 Edward Donovan mythbuntu: status Fix Committed Fix Released
2011-12-18 03:49:04 Edward Donovan linux: status Fix Released New
2011-12-18 03:49:04 Edward Donovan linux: remote watch Email to tglx@linutronix #
2011-12-18 03:50:47 Edward Donovan linux: status New Fix Released
2011-12-18 03:50:47 Edward Donovan linux: assignee Edward Donovan (edward.donovan)
2011-12-18 04:30:42 Edward Donovan bug watch removed mailto:tglx@linutronix.de
2012-03-22 19:22:35 Edward Donovan bug task deleted mythbuntu
2015-02-19 08:58:57 Florian R, bug added subscriber Florian R,